Summary: Library to control Tux Droid
Name: libtuxdriver
Version: 0.0.3
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://www.tuxdroid-community.net/
# VERSION=0.0.3
# svn checkout https://tux-droid.svn.sourceforge.net/svnroot/tux-droid/software_suite_v3/smart-core/tuxdriver/tags/${VERSION} tuxdriver-${VERSION}
# tar --exclude=.svn -czvf tuxdriver-${VERSION}.tar.gz tuxdriver-${VERSION}
Source: tuxdriver-%{version}.tar.gz
Patch0: tuxdriver-0.0.3-nosvnrev.patch
Patch1: tuxdriver-0.0.3-logfile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires: 

%description
Library to control Tux Droid.


%prep
%setup -q -n tuxdriver-%{version}
%patch0 -p1 -b .nosvnrev
%patch1 -p1 -b .logfile


%build
%{__make} -C unix %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
%{__rm} -rf %{buildroot}
# No make install target
install -D -p -m 0754 unix/libtuxdriver.so \
    %{buildroot}%{_libdir}/tuxdroid/libtuxdriver.so


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc/*
%{_libdir}/tuxdroid/


%changelog
* Tue Mar 15 2011 Matthias Saou <http://freshrpms.net/> 0.0.3-1
- Initial RPM release.

